
#
#   THIS FILE IS UNDER RCS - DO NOT MODIFY UNLESS YOU HAVE
#   CHECKED IT OUT USING THE COMMAND CHECKOUT.
#
#    $Id: makefile.sol 3673 2009-06-22 18:11:07Z lombard $
#
#    Revision history:
#     $Log$
#     Revision 1.2  2009/06/22 18:10:13  lombard
#     renamed to eqverify_assemble
#
#     Revision 1.1  2009/06/19 18:11:47  lombard
#     Added new program eqverify_assemble.
#     This is a small change from eqverify that is needed to be used with
#     eqassemble. It adds configurability to the four test_* parameters and the
#     Threshold to work with the three different versions that eqassemble could be
#     configured to emit.
#     eqverify_assemble CAN be used under eqprelim or eqproc if it is properly
#     configured.
#     The old eqverify CANNOT be used under eqassemble if you want to use any of the
#     coda tests.
#
#     Revision 1.3  2002/11/03 19:13:38  lombard
#     Added CFLAGS definition
#
#     Revision 1.2  2000/08/08 18:11:30  lucky
#     Added lint directive
#
#     Revision 1.1  2000/02/14 17:13:57  lucky
#     Initial revision
#
#
#

CFLAGS = ${GLOBALFLAGS}

B = $(EW_HOME)/$(EW_VERSION)/bin
L = $(EW_HOME)/$(EW_VERSION)/lib


all:
	make -f makefile.sol eqverify_assemble
	make -f makefile.sol arcfeeder

eqverify_assemble: eqverify_assemble.o $L/chron3.o $L/getutil.o $L/kom.o \
	$L/logit.o $L/time_ew.o $L/pipe.o $L/sleep_ew.o
	cc -o $B/eqverify_assemble eqverify_assemble.o $L/chron3.o \
	$L/getutil.o $L/kom.o $L/logit.o $L/time_ew.o $L/pipe.o $L/sleep_ew.o \
        -lm -lposix4 

arcfeeder: arcfeeder.o $L/getutil.o $L/kom.o $L/pipe.o $L/sleep_ew.o
	cc -o $B/arcfeeder arcfeeder.o $L/getutil.o $L/kom.o $L/pipe.o \
	$L/sleep_ew.o -lposix4	


lint:
	lint eqverify_assemble.c arcfeeder.c $(GLOBALFLAGS)

# Clean-up rules
clean:
	rm -f a.out core *.o *.obj *% *~

clean_bin:
	rm -f $B/eqverify_assemble* $B/arcfeeder*
